> For the complete documentation index, see [llms.txt](https://docs.pancakeswap.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pancakeswap.finance/japanese/qu-yin/perpetual-trading/perpetual-trading-v2/degen-mode/degen-mode-dynamic-fee.md).

# デゲンモードダイナミックフィー

PancakeSwap Perpetualsのデジェンモードはダイナミック手数料モデルを採用しています。この手数料は損益（PnL）に応じて徴収されるよう設計されており、ユーザーを損失から保護します。\
**仕組みは？**

$$
\text{closeFeeRate} = \max\left(\frac{\text{pnl} \cdot \text{shareRate}}{\text{notional}}, \text{closeMinRate}\right)
$$

パラメーター：

* Pnlはポジションの利益または損失
* shareRateはシェアレート（手数料として支払うノーショナルのパーセンテージ、デフォルトは15%）
* Notionalはポジションを開くために使用された金額
* closeMinRateは最低クローズ手数料率（ポジションをクローズするために支払える最低額、デフォルトは0.03%）

\
**例：**

$100の利益、シェアレート15%、ノーショナル$600のポジションがある場合、クローズ手数料率は以下のように計算されます：

クローズ手数料率 = Max(100 \* 15% / 600, 0.03%) = 0.03%

この場合、クローズ手数料率は最低クローズ手数料率の0.03%となります。<br>

注意：

実行手数料はポジションが開かれた時のみ徴収されます。クラシック無期限取引ペアの取引時と同様に、0.3 USD（BNBチェーン）/ 0.2 USD（Arbitrum）/ 0.01 USD（opBNB）/ 0.3 USD（Base）に設定されています。ポジション開設手数料はありません。

清算が発生した場合、90%の清算損失率にはクローズ手数料が含まれます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pancakeswap.finance/japanese/qu-yin/perpetual-trading/perpetual-trading-v2/degen-mode/degen-mode-dynamic-fee.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
